Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.monitor
Interface Monitoring

All Superinterfaces:
  AMX, AMXMBeanLogging, NotificationBroadcaster, NotificationEmitter

All Known Subinterfaces:
  ApplicationMonitor, BeanCacheMonitor, BeanMethodMonitor, BeanMonitor, BeanPoolMonitor, ConnectionManagerMonitor, ConnectionQueueMonitor, ConnectorConnectionPoolMonitor, DNSMonitor, EJBModuleMonitor, EntityBeanMonitor, FileCacheMonitor, HTTPListenerMonitor, HTTPServiceVirtualServerMonitor, JDBCConnectionPoolMonitor, JVMMonitor, KeepAliveMonitor, MessageDrivenBeanMonitor, MonitoringStats, NativeWebCoreThreadPoolMonitor, NativeWebCoreVirtualServerRequestMonitor, ServerRootMonitor, ServletMonitor, StatefulSessionBeanMonitor, StatelessSessionBeanMonitor, ThreadPoolMonitor, TransactionServiceMonitor, WebModuleVirtualServerMonitor

public interface Monitoring
extends AMX

Interface which all Monitoring MBeans should extend whether they provide Stats or not.

Field Summary

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Method Summary
`ServerRootMonitor` | `getServerRootMonitor()`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getServerRootMonitor

    public ServerRootMonitor getServerRootMonitor()

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.